export declare class Config {
    private raw;
    constructor(raw: Map<string, object>);
    /**
     * set an extension config to the registry.
     * @param id extension id
     * @param config plain config object
     */
    set(id: string, config: object): void;
    /**
     * get a config entry
     * @param id extension id.
     */
    get(id: string): object | undefined;
    /**
     * instantiate from a plain config-like object.
     */
    static from(raw: {
        [key: string]: object;
    }): Config;
}
